Page MenuHomePhabricator

Mark all of the English-Wikipedia specific CSD tags as optional to translate
Closed, ResolvedPublic

Description

The qqq documentation for messages 'pagetriage-del-tags-dba3-label' and 'pagetriage-del-tags-dba3-desc' is useful only to a small number of people in the English Wikipedia. "db-a3" is a term used only in the English Wikipedia and only by very experienced patrollers. It cannot be expected that translators to other languages will understand it.


Version: unspecified
Severity: normal

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 12:51 AM
bzimport added projects: PageTriage, Design.
bzimport set Reference to bz39377.
bzimport added a subscriber: Unknown Object (MLST).

Good point.

Could we update the qqq documentation to include the relevant tag descriptions from the 'Add tags' tool? These should be easier to understand and translate than the raw template code.

First of all, the term "tags" should also be avoided, because it is also a part of the English Wikipedia jargon. It's better to say something like "maintenance templates" or "warning templates". This issue deserves its own bug, actually.

The best and simplest thing is to write what actually happens: Where does this message appear, what will happens if the user will press the associated button, etc.

Actually, this is not an i18n issue, but a design issue.

Tags and tag grouping should have been implemented as being configurable in the MediaWiki: namespace, and not in default extension messages. This would have prevented the whole list of en.wp templates to be translated into other languages, and would have made the extension more flexible.

If now one more tag is added or changed, a developer is needed to change the extension code, instead of a sysop changing one or two pages in the MediaWiki namespace.

bsitu wrote:

(In reply to comment #3)

Actually, this is not an i18n issue, but a design issue.

Tags and tag grouping should have been implemented as being configurable in the
MediaWiki: namespace, and not in default extension messages. This would have
prevented the whole list of en.wp templates to be translated into other
languages, and would have made the extension more flexible.

If now one more tag is added or changed, a developer is needed to change the
extension code, instead of a sysop changing one or two pages in the MediaWiki
namespace.

I don't think there is a design issue here.

The tags configuration can be re-defined in MediaWiki:PageTriageExternalTagsOptions.js, which will overwrite whatever the default defined insidethe extension. That means we can have a sysop add tags and remove tags from a MediaWiki namespace page.

We should probably just mark these messages as optional to translate. On other wikis, the en.wiki default will be overridden by MediaWiki:PageTriageExternalTagsOptions.js as mentioned by Benny.

Change 850317 had a related patch set uploaded (by MPGuy2824; author: MPGuy2824):

[mediawiki/extensions/PageTriage@master] CurationToolbar: Marking CSD tag messages as optional to translate

https://gerrit.wikimedia.org/r/850317

MPGuy2824 renamed this task from "dba3" is only understandable to a small number of people in the English Wikipedia to Mark all of the English-Wikipedia specific CSD tags as optional to translate.Oct 28 2022, 5:17 AM
MPGuy2824 moved this task from Backlog to Code Review on the PageTriage board.

Change 850317 merged by jenkins-bot:

[mediawiki/extensions/PageTriage@master] CurationToolbar: Marking CSD tag messages as optional to translate

https://gerrit.wikimedia.org/r/850317

MPGuy2824 closed this task as Resolved.EditedNov 19 2022, 8:47 AM
MPGuy2824 claimed this task.
MPGuy2824 moved this task from Waiting for enwiki deploy to Done on the PageTriage board.
MPGuy2824 added a subscriber: MPGuy2824.

Translatewiki doesn't depend on enwiki deployment. See https://translatewiki.net/wiki/MediaWiki:Pagetriage-del-tags-dbg13-desc/qqq . Marking as resolved since the patch was merged.